# eoDistribUpdater< EOT > Class Template Reference

Base class for Distribution Evolution Algorithms within EO: the update rule of distribution. More...

`#include <eoDistribUpdater.h>`

Inheritance diagram for eoDistribUpdater< EOT >:

List of all members.

## Public Member Functions

virtual void | operator() (eoDistribution< EOT > &, eoPop< EOT > &)=0
| The pure virtual function that needs to be implemented by the subclass.

## Detailed Description

### template<class EOT>
class eoDistribUpdater< EOT >

Base class for Distribution Evolution Algorithms within EO: the update rule of distribution.

It takes one distribution and updates it according to one population

Definition at line 43 of file eoDistribUpdater.h.

The documentation for this class was generated from the following file:

- eoDistribUpdater.h